Bug 1942055 - [sig-cluster-lifecycle] Cluster version operator acknowledges upgrade : timed out waiting for cluster to acknowledge upgrade
Summary: [sig-cluster-lifecycle] Cluster version operator acknowledges upgrade : timed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Jack Ottofaro
QA Contact: liujia
URL:
Whiteboard:
Depends On: 1909875
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-23 14:29 UTC by OpenShift BugZilla Robot
Modified: 2021-05-07 12:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
This change is an additional log output in a CI test.
Clone Of:
Environment:
Last Closed: 2021-04-12 23:22:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26012 0 None open [release-4.7] Bug 1942055: upgrade/upgrade.go: Enhance upgrade ack time out error 2021-03-23 14:31:55 UTC
Red Hat Product Errata RHBA-2021:1075 0 None None None 2021-04-12 23:23:10 UTC

Comment 3 liujia 2021-04-06 09:26:30 UTC
From ci test results in past 48h, there are not failures post 4.6.

# w3m -dump -cols 200 'https://search.ci.openshift.org/?search=Cluster+version+operator+acknowledges+upgrade&maxAge=48h&context=1&type=junit&name=&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job'|grep 'failures match'
periodic-ci-openshift-release-master-ci-4.5-upgrade-from-stable-4.4-e2e-gcp-upgrade (all) - 8 runs, 38% failed, 67% of failures match = 25% impact 
-> 4.4-4.5 upgrade
periodic-ci-openshift-release-master-ci-4.5-upgrade-from-stable-4.4-e2e-aws-upgrade (all) - 10 runs, 50% failed, 60% of failures match = 30% impact
-> 4.4-4.5 upgrade
periodic-ci-openshift-release-master-ci-4.5-upgrade-from-stable-4.4-e2e-azure-ovn-upgrade (all) - 8 runs, 63% failed, 40% of failures match = 25% impact
-> 4.4-4.5 upgrade
periodic-ci-openshift-release-master-ci-4.7-upgrade-from-stable-4.6-e2e-openstack-upgrade (all) - 1 runs, 100% failed, 100% of failures match = 100% impact
-> 4.6-4.7 upgrade, and the error(Get "https://api.9z3vdzkt-0a3c5.shiftstack.devcluster.openshift.com:6443/apis/config.openshift.io/v1/clusterversions/version": dial tcp 128.31.25.249:6443: connect: connection refused) is differenct from original error(timed out waiting for cluster to acknowledge upgrade: timed out waiting for the condition
)
release-openshift-origin-installer-e2e-aws-upgrade (all) - 11 runs, 55% failed, 33% of failures match = 18% impact
-> 4.4-4.5 upgrade
periodic-ci-openshift-release-master-ci-4.6-upgrade-from-stable-4.5-e2e-aws-ovn-upgrade (all) - 21 runs, 100% failed, 19% of failures match = 19% impact
-> 4.5-4.6 upgrade
periodic-ci-openshift-release-master-ci-4.6-upgrade-from-stable-4.5-e2e-aws-upgrade (all) - 22 runs, 50% failed, 27% of failures match = 14% impact
-> 4.5-4.6 upgrade
release-openshift-origin-installer-e2e-gcp-ovn-upgrade-4.5-stable-to-4.6-ci (all) - 8 runs, 50% failed, 50% of failures match = 25% impact
-> 4.5-4.6 upgrade
periodic-ci-openshift-release-master-ci-4.5-upgrade-from-stable-4.4-e2e-azure-upgrade (all) - 8 runs, 25% failed, 100% of failures match = 25% impact
-> 4.4-4.5 upgrade
periodic-ci-openshift-release-master-ci-4.5-upgrade-from-stable-4.4-e2e-gcp-ovn-upgrade (all) - 8 runs, 50% failed, 25% of failures match = 13% impact

So move this bug to verify.

-> 4.4-4.5 upgrade
periodic-ci-openshift-release-master-ci-4.6-upgrade-from-stable-4.5-e2e-azure-upgrade (all) - 9 runs, 44% failed, 25% of failures match = 11% impact
-> 4.5-4.6 upgrade

Comment 5 errata-xmlrpc 2021-04-12 23:22:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1075


Note You need to log in before you can comment on or make changes to this bug.